version: '3.3'

networks:
  proxy:
    external: true

services:
  nginx:
    container_name: ${CONTAINER_NAME}
    image: 'jc21/nginx-proxy-manager:latest'
    restart: unless-stopped
    networks:
      - proxy
    ports:
      - ${PORT_HTTP}:80
      - ${PORT_HTTPS}:443 
      - ${PORT_ADMINPORTAL}:81
    volumes:
      - ${HOME_DIR}/${CONTAINER_NAME}/data:/data
      - ${HOME_DIR}/${CONTAINER_NAME}/letsencrypt:/etc/letsencrypt
    env_file:
      - path: ./nginx.env
        required: true
      - path: ../global.env
        required: true
    environment:
      - TZ=${TIMEZONE}

